Deletes a list of users of a tenant.

This method will try to delete all users in the list, even though an error happens.

DELETE /users

Operation id: UserService_DeleteUsers

Description

Permission Level: Read Write

Tags: UserService

Parameters

Query parameters

NameTypeRequiredDescription
domainstringNodomain of the user to fetch, Required: false
permanentDeletebooleanNoPermanently delete users if set to true, Required : false, Default : false
scopestringNoUser scope (ZPA, Reflexis, etc), Required : false Users will be disabled for the provided scope, if no scope given then users will be disabled for all scopes. Useful only when permanent delete is false.
tenantIdstringNotenant of the users to delete, Required: false
userIdsarrayNolist of user_ids of the users to delete, Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}